#!/usr/bin/env python3
# -*- coding: utf-8 -*-
# wiki.binefa.cat
#
# https://pymodbustcp.readthedocs.io

from pyModbusTCP.client import ModbusClient # sudo pip3 install pyModbusTCP
from time import sleep
from sys import argv,exit

SENSOR_IREG = 100 #LDR at ESP8266's code

if len(argv) != 2:
	print("\nHow to use:\n\npython3 %s 174.105.0.63\n\nChanging 174.105.0.63 by ModBusTCP device IP"%argv[0])
	exit(1)

c = ModbusClient(host=argv[1], auto_open=True, auto_close=True)
c.port(502)
c.open()

regs = c.read_input_registers(SENSOR_IREG, 1)
print(regs[0],end = '')

exit(0)	


